Skip to content

Get Virtual Card

Request

Retrieve virtual card detail by given card_id. Generate a single-use 4096-bit RSA key-pair at the (end user) client side and pass the public key PEM encoded upstream in PKCS#1 or PKCS#1.5 format to ensure confidentiality and encryption of the card's PAN, CVV and expiration date.

Security
HTTPBearer
Path
account_idstring, (uuid)(Account Id)required
card_idstring, (uuid)(Card Id)required
Headers
x-jiko-idempotencystring, (uuid)(X-Jiko-Idempotency)required
x-jiko-signaturestring(X-Jiko-Signature)required
Bodyapplication/jsonrequired
public_keystring(Public Key)required

Single-use 4096-bit PEM-encoded RSA public-key in PKCS#1 or PKCS#1.5 format

curl -i -X POST \
  'https://your-partner-name.partner-api.jikoservices.com/api/v1/jiko-accounts/{account_id}/virtual-cards/{card_id}/' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'x-jiko-idempotency: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'x-jiko-signature: string' \
  -d '{
    "public_key": "string"
  }'

Responses

Successful Response

Bodyapplication/json
card_idstring, (uuid)(Card Id)required
encrypted_panstring(Encrypted Pan)required
encrypted_cvvstring(Encrypted Cvv)required
encrypted_expirationstring(Encrypted Expiration)required
object_typestring(Object Type)read-onlyrequired
Response
{ "card_id": "66f6e46c-f6a1-4af8-a1bd-49666bc01304", "encrypted_pan": "LBHyVQggqNZvbYriaL8omZSFnQfS4yMFEO8hpVmgrtn70uYz56...", "encrypted_cvv": "GLuGA7uI2iYrzE03XkKMH1IJZD6cxR+WJmgw9Z0VuervNqnkUq...", "encrypted_expiration": "amAxcZuURFfOi38kbM1LXfa6gBmuaSCt10Kic8243kM1V+Llsb...", "object_type": "VirtualCardResponse" }